/**********************************************************

This software is part of J.-S. Caux's ABACUS library.

Copyright (c) J.-S. Caux.

-----------------------------------------------------------

File:  Sort_RAW_File.cc

Purpose:  produce a sorted .raw file.

***********************************************************/

#include "ABACUS.h"

using namespace std;
using namespace ABACUS;


int main(int argc, char* argv[])
{
  if (argc != 4) {
    cout << "Arguments needed: rawfile, whichDSF, whichsorting." << endl;
    ABACUSerror("");
  }

  const char* rawfilename = argv[1];
  char whichDSF = *argv[2];
  char whichsorting = *argv[3];

  Sort_RAW_File (rawfilename, whichsorting, whichDSF);

  return(0);
}
